diff --git a/kresources/lib/groupwaredownloadjob.cpp b/kresources/lib/groupwaredownloadjob.cpp
index 5cf494b97..f363dbc20 100644
--- a/kresources/lib/groupwaredownloadjob.cpp
+++ b/kresources/lib/groupwaredownloadjob.cpp
@@ -229,9 +229,9 @@ void GroupwareDownloadJob::slotItemToDownload( const KURL &remoteURL,
 {
   KURL url( remoteURL );
   adaptor()->adaptDownloadUrl( url );
-  if ( !mItemsForDownload.tqcontains( url ) &&
-       !mItemsDownloading.tqcontains( url ) &&
-       !mItemsDownloaded.tqcontains( url ) ) {
+  if ( !mItemsForDownload.contains( url ) &&
+       !mItemsDownloading.contains( url ) &&
+       !mItemsDownloaded.contains( url ) ) {
     mItemsForDownload.insert( url, type );
   }
 }
@@ -240,7 +240,7 @@ void GroupwareDownloadJob::slotItemToDownload( const KURL &remoteURL,
 void GroupwareDownloadJob::slotItemOnServer( const KURL &remoteURL )
 {
 kdDebug()<<"GroupwareDownloadJob::slotItemOnServer( " << remoteURL.url() << ")" << endl;
-  if ( !mCurrentlyOnServer.tqcontains( remoteURL ) ) {
+  if ( !mCurrentlyOnServer.contains( remoteURL ) ) {
     mCurrentlyOnServer.append( remoteURL );
   }
 }
@@ -249,9 +249,9 @@ kdDebug()<<"GroupwareDownloadJob::slotItemOnServer( " << remoteURL.url() << ")"
 void GroupwareDownloadJob::slotItemDownloadError( const KURL &remoteURL, const TQString &/*error*/ )
 {
   // TODO: Error handling!
-  if ( mItemsDownloading.tqcontains( remoteURL ) ) {
+  if ( mItemsDownloading.contains( remoteURL ) ) {
     mItemsDownloadError[ remoteURL ] = mItemsDownloading[ remoteURL ];
-  } else if ( mItemsForDownload.tqcontains( remoteURL ) ) {
+  } else if ( mItemsForDownload.contains( remoteURL ) ) {
     mItemsDownloadError[ remoteURL ] = mItemsForDownload[ remoteURL ];
   }
 }
@@ -261,15 +261,15 @@ void GroupwareDownloadJob::slotItemDownloaded( const TQString &localID,
          const KURL &remoteURL, const TQString &fingerprint )
 {
 kdDebug()<<"GroupwareDownloadJob::slotItemDownloaded( " << localID << ", " << remoteURL.url() << ", " << fingerprint << ")" << endl;
-  if ( mItemsForDownload.tqcontains( remoteURL ) ) {
+  if ( mItemsForDownload.contains( remoteURL ) ) {
     mItemsDownloaded[ remoteURL ] = mItemsForDownload[ remoteURL ];
     mItemsForDownload.remove( remoteURL );
   }
-  if ( mItemsDownloading.tqcontains( remoteURL ) ) {
+  if ( mItemsDownloading.contains( remoteURL ) ) {
     mItemsDownloaded[ remoteURL ] = mItemsDownloading[ remoteURL ];
     mItemsDownloading.remove( remoteURL );
   }
-  if ( !mItemsDownloaded.tqcontains( remoteURL ) ) {
+  if ( !mItemsDownloaded.contains( remoteURL ) ) {
     mItemsDownloaded[ remoteURL ] = KPIM::FolderLister::Unknown;
   }
   adaptor()->idMapper()->setRemoteId( localID, remoteURL.path() );
diff --git a/kresources/lib/webdavhandler.cpp b/kresources/lib/webdavhandler.cpp
index 9ae500e52..180740662 100644
--- a/kresources/lib/webdavhandler.cpp
+++ b/kresources/lib/webdavhandler.cpp
@@ -154,10 +154,10 @@ bool WebdavHandler::extractStringList( const TQDomElement &node, const TQString
 
 const TQString WebdavHandler::getEtagFromHeaders( const TQString& headers )
 {
-  int start = headers.tqfind( "etag:", 0, false );
+  int start = headers.find( "etag:", 0, false );
   if ( start < 0 ) return TQString();
   start += 6;
-  return headers.mid( start, headers.tqfind( "\n", start ) - start );
+  return headers.mid( start, headers.find( "\n", start ) - start );
 }
 
 //TODO: should not call libical functions directly -- better to make
diff --git a/kresources/newexchange/exchangeconvertercalendar.cpp b/kresources/newexchange/exchangeconvertercalendar.cpp
index 3ff05eef0..d093faf18 100644
--- a/kresources/newexchange/exchangeconvertercalendar.cpp
+++ b/kresources/newexchange/exchangeconvertercalendar.cpp
@@ -432,7 +432,7 @@ kdDebug()<<"ExchangeConverterCalendar::readIncidence: ERROR: No UID given"<<endl
           continue;
         }
         TQString uid = uidElement.text();
-        if ( ! m_uids.tqcontains( uid ) ) {
+        if ( ! m_uids.contains( uid ) ) {
           m_uids[uid] = 1;
           handleRecurrence(uid);
           successCount++;
diff --git a/kresources/newexchange/exchangeconvertercontact.cpp b/kresources/newexchange/exchangeconvertercontact.cpp
index 40e0498a6..1c2828c10 100644
--- a/kresources/newexchange/exchangeconvertercontact.cpp
+++ b/kresources/newexchange/exchangeconvertercontact.cpp
@@ -461,7 +461,7 @@ TQDomDocument ExchangeConverterContact::createWebDAV( Addressee addr )
 
   TQStringList emails = addr.emails();
   TQString prefemail = addr.preferredEmail();
-  if ( emails.tqcontains( prefemail ) )
+  if ( emails.contains( prefemail ) )
     emails.remove( prefemail );
   emails.prepend( prefemail );
   if ( emails.count() > 0 ) {
diff --git a/kresources/newexchange/exchangeglobals.cpp b/kresources/newexchange/exchangeglobals.cpp
index b17302386..ef27580f0 100644
--- a/kresources/newexchange/exchangeglobals.cpp
+++ b/kresources/newexchange/exchangeglobals.cpp
@@ -90,7 +90,7 @@ bool ExchangeGlobals::getFolderHasSubs( const TQDomNode &folderNode )
 KIO::Job *ExchangeGlobals::createListFoldersJob( const KURL &url )
 {
   TQDomDocument doc;
-  TQDomElement root = WebdavHandler::addDavElement(  doc, doc, "d:proptqfind" );
+  TQDomElement root = WebdavHandler::addDavElement(  doc, doc, "d:propfind" );
   TQDomElement prop = WebdavHandler::addElement(  doc, root, "d:prop" );
   WebdavHandler::addElement( doc, prop, "d:displayname" );
   WebdavHandler::addElement( doc, prop, "d:contentclass" );
@@ -104,7 +104,7 @@ KIO::Job *ExchangeGlobals::createListFoldersJob( const KURL &url )
 KIO::TransferJob *ExchangeGlobals::createListItemsJob( const KURL &url )
 {
   TQDomDocument doc;
-  TQDomElement root = WebdavHandler::addDavElement(  doc, doc, "d:proptqfind" );
+  TQDomElement root = WebdavHandler::addDavElement(  doc, doc, "d:propfind" );
   TQDomElement prop = WebdavHandler::addElement(  doc, root, "d:prop" );
   WebdavHandler::addElement( doc, prop, "d:getetag" );
   WebdavHandler::addElement( doc, prop, "d:contentclass" );
@@ -126,7 +126,7 @@ kdDebug() << "Person=" << KPIM::FolderLister::Contact << ", "
   // Don't use an <allprop/> request!
 
   TQDomDocument doc;
-  TQDomElement root = WebdavHandler::addDavElement( doc, doc, "d:proptqfind" );
+  TQDomElement root = WebdavHandler::addDavElement( doc, doc, "d:propfind" );
   TQDomElement prop = WebdavHandler::addElement( doc, root, "d:prop" );
   TQDomAttr att_h = doc.createAttribute( "xmlns:h" );
   att_h.setValue( "urn:schemas:mailheader:" );
diff --git a/kresources/scalix/kabc/resourcescalix.cpp b/kresources/scalix/kabc/resourcescalix.cpp
index e9193c4b2..94cec32a2 100644
--- a/kresources/scalix/kabc/resourcescalix.cpp
+++ b/kresources/scalix/kabc/resourcescalix.cpp
@@ -317,7 +317,7 @@ bool KABC::ResourceScalix::kmailUpdateAddressee( const Addressee& addr )
   const TQString uid = addr.uid();
   TQString subResource;
   TQ_UINT32 sernum;
-  if ( mUidMap.tqfind( uid ) != mUidMap.end() ) {
+  if ( mUidMap.find( uid ) != mUidMap.end() ) {
     subResource = mUidMap[ uid ].resource();
     if ( !subresourceWritable( subResource ) ) {
       kdWarning() << "Wow! Something tried to update a non-writable addressee! Fix this caller: " << kdBacktrace() << endl;
@@ -359,7 +359,7 @@ bool KABC::ResourceScalix::kmailUpdateAddressee( const Addressee& addr )
     kdDebug(5650) << "kmailUpdate returned, now sernum=" << sernum << " for uid=" << uid << endl;
     mUidMap[ uid ] = StorageReference( subResource, sernum );
     // This is ugly, but it's faster than doing
-    // mAddrMap.tqfind(addr.uid()), which would give the same :-(
+    // mAddrMap.find(addr.uid()), which would give the same :-(
     // Reason for this: The Changed attribute of Addressee should
     // be mutable
     const_cast<Addressee&>(addr).setChanged( false );
@@ -377,7 +377,7 @@ void KABC::ResourceScalix::insertAddressee( const Addressee& addr )
   const TQString uid = addr.uid();
   //kdDebug(5650) << k_funcinfo << uid << endl;
   bool ok = false;
-  if ( mUidMap.tqcontains( uid ) ) {
+  if ( mUidMap.contains( uid ) ) {
     mUidsPendingUpdate.append( uid );
   } else {
     mUidsPendingAdding.append( uid );
@@ -392,7 +392,7 @@ void KABC::ResourceScalix::insertAddressee( const Addressee& addr )
 void KABC::ResourceScalix::removeAddressee( const Addressee& addr )
 {
   const TQString uid = addr.uid();
-  if ( mUidMap.tqfind( uid ) == mUidMap.end() ) return;
+  if ( mUidMap.find( uid ) == mUidMap.end() ) return;
   //kdDebug(5650) << k_funcinfo << uid << endl;
   const TQString resource = mUidMap[ uid ].resource();
   if ( !subresourceWritable( resource ) ) {
@@ -429,8 +429,8 @@ bool KABC::ResourceScalix::fromKMailAddIncidence( const TQString& type,
   //kdDebug(5650) << k_funcinfo << uid << endl;
 
   // Emit "addressbook changed" if this comes from kmail and not from the GUI
-  if ( !mUidsPendingAdding.tqcontains( uid )
-       && !mUidsPendingUpdate.tqcontains( uid ) ) {
+  if ( !mUidsPendingAdding.contains( uid )
+       && !mUidsPendingUpdate.contains( uid ) ) {
     addressBook()->emitAddressBookChanged();
   } else {
     mUidsPendingAdding.remove( uid );
@@ -451,9 +451,9 @@ void KABC::ResourceScalix::fromKMailDelIncidence( const TQString& type,
   //kdDebug(5650) << k_funcinfo << uid << endl;
 
   // Can't be in both, by contract
-  if ( mUidsPendingDeletion.tqcontains( uid ) ) {
+  if ( mUidsPendingDeletion.contains( uid ) ) {
     mUidsPendingDeletion.remove( uid );
-  } else if ( mUidsPendingUpdate.tqcontains( uid ) ) {
+  } else if ( mUidsPendingUpdate.contains( uid ) ) {
     // It's good to know if was deleted, but we are waiting on a new one to
     // replace it, so let's just sit tight.
   } else {
@@ -483,7 +483,7 @@ void KABC::ResourceScalix::fromKMailAddSubresource( const TQString& type,
 {
   if( type != s_kmailContentsType ) return;
 
-  if ( mSubResources.tqcontains( subResource ) )
+  if ( mSubResources.contains( subResource ) )
     // Already registered
     return;
 
@@ -500,7 +500,7 @@ void KABC::ResourceScalix::fromKMailDelSubresource( const TQString& type,
 {
   if( type != s_kmailContentsType ) return;
 
-  if ( !mSubResources.tqcontains( subResource ) )
+  if ( !mSubResources.contains( subResource ) )
     // Not registered
     return;
 
@@ -557,7 +557,7 @@ TQStringList KABC::ResourceScalix::subresources() const
 
 bool KABC::ResourceScalix::subresourceActive( const TQString& subresource ) const
 {
-  if ( mSubResources.tqcontains( subresource ) ) {
+  if ( mSubResources.contains( subresource ) ) {
     return mSubResources[ subresource ].active();
   }
 
@@ -569,7 +569,7 @@ bool KABC::ResourceScalix::subresourceActive( const TQString& subresource ) cons
 
 bool KABC::ResourceScalix::subresourceWritable( const TQString& subresource ) const
 {
-  if ( mSubResources.tqcontains( subresource ) ) {
+  if ( mSubResources.contains( subresource ) ) {
     return mSubResources[ subresource ].writable();
   }
   return false; //better a safe default
@@ -577,7 +577,7 @@ bool KABC::ResourceScalix::subresourceWritable( const TQString& subresource ) co
 
 int KABC::ResourceScalix::subresourceCompletionWeight( const TQString& subresource ) const
 {
-  if ( mSubResources.tqcontains( subresource ) ) {
+  if ( mSubResources.contains( subresource ) ) {
     return mSubResources[ subresource ].completionWeight();
   }
 
@@ -588,7 +588,7 @@ int KABC::ResourceScalix::subresourceCompletionWeight( const TQString& subresour
 
 TQString KABC::ResourceScalix::subresourceLabel( const TQString& subresource ) const
 {
-  if ( mSubResources.tqcontains( subresource ) ) {
+  if ( mSubResources.contains( subresource ) ) {
     return mSubResources[ subresource ].label();
   }
 
@@ -598,7 +598,7 @@ TQString KABC::ResourceScalix::subresourceLabel( const TQString& subresource ) c
 
 void KABC::ResourceScalix::setSubresourceCompletionWeight( const TQString& subresource, int completionWeight )
 {
-  if ( mSubResources.tqcontains( subresource ) ) {
+  if ( mSubResources.contains( subresource ) ) {
     mSubResources[ subresource ].setCompletionWeight( completionWeight );
   } else {
     kdDebug(5650) << "setSubresourceCompletionWeight: subresource " << subresource << " not found" << endl;
@@ -617,7 +617,7 @@ TQMap<TQString, TQString> KABC::ResourceScalix::uidToResourceMap() const
 
 void KABC::ResourceScalix::setSubresourceActive( const TQString &subresource, bool active )
 {
-  if ( mSubResources.tqcontains( subresource ) ) {
+  if ( mSubResources.contains( subresource ) ) {
     mSubResources[ subresource ].setActive( active );
     load();
   } else {
diff --git a/kresources/scalix/kcal/resourcescalix.cpp b/kresources/scalix/kcal/resourcescalix.cpp
index a67585ee0..2848a353a 100644
--- a/kresources/scalix/kcal/resourcescalix.cpp
+++ b/kresources/scalix/kcal/resourcescalix.cpp
@@ -249,7 +249,7 @@ void ResourceScalix::removeIncidences( const TQCString& incidenceType )
     // better call event(uid), todo(uid) etc. directly.
 
     // A  faster but hackish way would probably be to check the type of the resource,
-    // like mEventSubResources.tqfind( it.data().resource() ) != mEventSubResources.end() ?
+    // like mEventSubResources.find( it.data().resource() ) != mEventSubResources.end() ?
     const TQString& uid = it.key();
     if ( incidenceType == "Event" && mCalendar.event( uid ) )
       mUidMap.remove( it );
@@ -276,17 +276,17 @@ void ResourceScalix::incidenceUpdated( KCal::IncidenceBase* incidencebase )
 
   const TQString uid = incidencebase->uid();
 
-  if ( mUidsPendingUpdate.tqcontains( uid ) || mUidsPendingAdding.tqcontains( uid ) ) {
+  if ( mUidsPendingUpdate.contains( uid ) || mUidsPendingAdding.contains( uid ) ) {
     /* We are currently processing this event ( removing and readding or
      * adding it ). If so, ignore this update. Keep the last of these around
      * and process once we hear back from KMail on this event. */
-    mPendingUpdates.tqreplace( uid, incidencebase );
+    mPendingUpdates.replace( uid, incidencebase );
     return;
   }
 
   TQString subResource;
   TQ_UINT32 sernum = 0;
-  if ( mUidMap.tqcontains( uid ) ) {
+  if ( mUidMap.contains( uid ) ) {
     subResource = mUidMap[ uid ].resource();
     sernum = mUidMap[ uid ].serialNumber();
     mUidsPendingUpdate.append( uid );
@@ -390,7 +390,7 @@ bool ResourceScalix::sendKMailUpdate( KCal::IncidenceBase* incidencebase, const
   // behold, sernum is an in-parameter
   const bool rc = kmailUpdate( subresource, sernum, data, mimetype, subject, customHeaders );
   // update the serial number
-  if ( mUidMap.tqcontains( incidencebase->uid() ) ) {
+  if ( mUidMap.contains( incidencebase->uid() ) ) {
     mUidMap[ incidencebase->uid() ].setSerialNumber( sernum );
   }
   return rc;
@@ -450,7 +450,7 @@ bool ResourceScalix::addIncidence( KCal::Incidence* incidence, const TQString& _
      * We know the new state, so lets just not do much at all. The old incidence
      * in the calendar remains valid, but the serial number changed, so we need to
      * update that */
-    if ( ourOwnUpdate = mUidsPendingUpdate.tqcontains( uid ) ) {
+    if ( ourOwnUpdate = mUidsPendingUpdate.contains( uid ) ) {
       mUidsPendingUpdate.remove( uid );
       mUidMap.remove( uid );
       mUidMap[ uid ] = StorageReference( subResource, sernum );
@@ -460,7 +460,7 @@ bool ResourceScalix::addIncidence( KCal::Incidence* incidence, const TQString& _
        * unless the folder is read-only, in which case the user should not be
        * offered a means of putting mails in a folder she'll later be unable to
        * upload. Skip the incidence, in this case. */
-      if ( mUidMap.tqcontains( uid )
+      if ( mUidMap.contains( uid )
           && ( mUidMap[ uid ].resource() == subResource ) ) {
         if ( (*map)[ subResource ].writable() ) {
           resolveConflict( incidence, subResource, sernum );
@@ -472,7 +472,7 @@ bool ResourceScalix::addIncidence( KCal::Incidence* incidence, const TQString& _
       }
       /* Add to the cache if the add didn't come from KOrganizer, in which case
        * we've already added it, and listen to updates from KOrganizer for it. */
-      if ( !mUidsPendingAdding.tqcontains( uid ) ) {
+      if ( !mUidsPendingAdding.contains( uid ) ) {
         mCalendar.addIncidence( incidence );
         incidence->registerObserver( this );
       }
@@ -482,14 +482,14 @@ bool ResourceScalix::addIncidence( KCal::Incidence* incidence, const TQString& _
       }
     }
     /* Check if there are updates for this uid pending and if so process them. */
-    if ( KCal::IncidenceBase *update = mPendingUpdates.tqfind( uid ) ) {
+    if ( KCal::IncidenceBase *update = mPendingUpdates.find( uid ) ) {
       mSilent = false; // we do want to tell KMail
       mPendingUpdates.remove( uid );
       incidenceUpdated( update );
     } else {
       /* If the uid was added by KMail, KOrganizer needs to be told, so
        * schedule emitting of the resourceChanged signal. */
-      if ( !mUidsPendingAdding.tqcontains( uid ) ) {
+      if ( !mUidsPendingAdding.contains( uid ) ) {
         if ( !ourOwnUpdate ) mResourceChangedTimer.changeInterval( 100 );
       } else {
         mUidsPendingAdding.remove( uid );
@@ -504,7 +504,7 @@ bool ResourceScalix::addIncidence( KCal::Incidence* incidence, const TQString& _
 
 bool ResourceScalix::addEvent( KCal::Event* event )
 {
-  if ( mUidMap.tqcontains( event->uid() ) )
+  if ( mUidMap.contains( event->uid() ) )
     return true; //noop
   else
     return addIncidence( event, TQString(), 0 );
@@ -521,7 +521,7 @@ bool ResourceScalix::deleteIncidence( KCal::Incidence* incidence )
   if ( incidence->isReadOnly() ) return false;
 
   const TQString uid = incidence->uid();
-  if( !mUidMap.tqcontains( uid ) ) return false; // Odd
+  if( !mUidMap.contains( uid ) ) return false; // Odd
   /* The user told us to delete, tell KMail */
   if ( !mSilent ) {
     kmailDeleteIncidence( mUidMap[ uid ].resource(),
@@ -572,7 +572,7 @@ KCal::Event::List ResourceScalix::rawEvents( const TQDate& start,
 
 bool ResourceScalix::addTodo( KCal::Todo* todo )
 {
-  if ( mUidMap.tqcontains( todo->uid() ) )
+  if ( mUidMap.contains( todo->uid() ) )
     return true; //noop
   else
     return addIncidence( todo, TQString(), 0 );
@@ -606,7 +606,7 @@ KCal::Todo::List ResourceScalix::rawTodosForDate( const TQDate& date )
 
 bool ResourceScalix::addJournal( KCal::Journal* journal )
 {
-  if ( mUidMap.tqcontains( journal->uid() ) )
+  if ( mUidMap.contains( journal->uid() ) )
     return true; //noop
   else
     return addIncidence( journal, TQString(), 0 );
@@ -689,9 +689,9 @@ void ResourceScalix::fromKMailDelIncidence( const TQString& type,
   if ( !subresourceActive( subResource ) ) return;
 
   // Can't be in both, by contract
-  if ( mUidsPendingDeletion.tqcontains( uid ) ) {
+  if ( mUidsPendingDeletion.contains( uid ) ) {
     mUidsPendingDeletion.remove( uid );
-  } else if ( mUidsPendingUpdate.tqcontains( uid ) ) {
+  } else if ( mUidsPendingUpdate.contains( uid ) ) {
     // It's good to know if was deleted, but we are waiting on a new one to
     // replace it, so let's just sit tight.
   } else {
@@ -741,7 +741,7 @@ void ResourceScalix::fromKMailAddSubresource( const TQString& type,
     // Not ours
     return;
 
-  if ( map->tqcontains( subResource ) )
+  if ( map->contains( subResource ) )
     // Already registered
     return;
 
@@ -760,7 +760,7 @@ void ResourceScalix::fromKMailDelSubresource( const TQString& type,
   ResourceMap* map = subResourceMap( type );
   if ( !map ) // not ours
     return;
-  if ( map->tqcontains( subResource ) )
+  if ( map->contains( subResource ) )
     map->erase( subResource );
   else
     // Not registered
@@ -807,11 +807,11 @@ TQStringList ResourceScalix::subresources() const
 const TQString
 ResourceScalix::labelForSubresource( const TQString& subresource ) const
 {
-  if ( mEventSubResources.tqcontains( subresource ) )
+  if ( mEventSubResources.contains( subresource ) )
     return mEventSubResources[ subresource ].label();
-  if ( mTodoSubResources.tqcontains( subresource ) )
+  if ( mTodoSubResources.contains( subresource ) )
     return mTodoSubResources[ subresource ].label();
-  if ( mJournalSubResources.tqcontains( subresource ) )
+  if ( mJournalSubResources.contains( subresource ) )
     return mJournalSubResources[ subresource ].label();
   return subresource;
 }
@@ -819,10 +819,10 @@ ResourceScalix::labelForSubresource( const TQString& subresource ) const
 TQString ResourceScalix::subresourceIdentifier( Incidence *incidence )
 {
   TQString uid = incidence->uid();
-  if ( mUidMap.tqcontains( uid ) )
+  if ( mUidMap.contains( uid ) )
     return mUidMap[ uid ].resource();
   else
-    if ( mNewIncidencesMap.tqcontains( uid ) )
+    if ( mNewIncidencesMap.contains( uid ) )
       return mNewIncidencesMap[ uid ];
     else
       return TQString();
@@ -843,11 +843,11 @@ bool ResourceScalix::subresourceActive( const TQString& subresource ) const
   // before it opens the resource :-( Make sure we are open
   const_cast<ResourceScalix*>( this )->doOpen();
 
-  if ( mEventSubResources.tqcontains( subresource ) )
+  if ( mEventSubResources.contains( subresource ) )
     return mEventSubResources[ subresource ].active();
-  if ( mTodoSubResources.tqcontains( subresource ) )
+  if ( mTodoSubResources.contains( subresource ) )
     return mTodoSubResources[ subresource ].active();
-  if ( mJournalSubResources.tqcontains( subresource ) )
+  if ( mJournalSubResources.contains( subresource ) )
     return mJournalSubResources[ subresource ].active();
 
   // Safe default bet:
@@ -860,11 +860,11 @@ void ResourceScalix::setSubresourceActive( const TQString &subresource, bool v )
 {
   ResourceMap *map = 0;
 
-  if ( mEventSubResources.tqcontains( subresource ) )
+  if ( mEventSubResources.contains( subresource ) )
      map = &mEventSubResources;
-  if ( mTodoSubResources.tqcontains( subresource ) )
+  if ( mTodoSubResources.contains( subresource ) )
      map = &mTodoSubResources;
-  if ( mJournalSubResources.tqcontains( subresource ) )
+  if ( mJournalSubResources.contains( subresource ) )
      map = &mJournalSubResources;
 
   if ( map && ( ( *map )[ subresource ].active() != v ) ) {
diff --git a/kresources/scalix/kioslave/scalix.cpp b/kresources/scalix/kioslave/scalix.cpp
index d5603af92..36b2aa776 100644
--- a/kresources/scalix/kioslave/scalix.cpp
+++ b/kresources/scalix/kioslave/scalix.cpp
@@ -73,7 +73,7 @@ void Scalix::get( const KURL &url )
 
   TQString path = url.path();
 
-  if ( path.tqcontains( "/freebusy/" ) ) {
+  if ( path.contains( "/freebusy/" ) ) {
     retrieveFreeBusy( url );
   } else {
     error( KIO::ERR_SLAVE_DEFINED, i18n( "Unknown path. Known path is '/freebusy/'" ) );
@@ -84,7 +84,7 @@ void Scalix::put( const KURL& url, int, bool, bool )
 {
   TQString path = url.path();
 
-  if ( path.tqcontains( "/freebusy/" ) ) {
+  if ( path.contains( "/freebusy/" ) ) {
     publishFreeBusy( url );
   } else {
     error( KIO::ERR_SLAVE_DEFINED, i18n( "Unknown path. Known path is '/freebusy/'" ) );
@@ -134,12 +134,12 @@ void Scalix::publishFreeBusy( const KURL &url )
   TQString path = url.path();
 
   // extract user name
-  int lastSlash = path.tqfindRev( '/' );
+  int lastSlash = path.findRev( '/' );
   if ( lastSlash != -1 )
     requestUser = path.mid( lastSlash + 1 );
 
   // extract calendar name
-  int secondSlash = path.tqfind( '/', 1 );
+  int secondSlash = path.find( '/', 1 );
   if ( secondSlash != -1 )
     calendar = path.mid( secondSlash + 1, lastSlash - secondSlash - 1 );
 
diff --git a/kresources/scalix/knotes/resourcescalix.cpp b/kresources/scalix/knotes/resourcescalix.cpp
index b9d5b54ca..69922283e 100644
--- a/kresources/scalix/knotes/resourcescalix.cpp
+++ b/kresources/scalix/knotes/resourcescalix.cpp
@@ -166,7 +166,7 @@ KCal::Journal* ResourceScalix::addNote( const TQString& data, const TQString& su
   journal = static_cast<KCal::Journal*>( formatter.fromString( data ) );
 
   Q_ASSERT( journal );
-  if( journal && !mUidMap.tqcontains( journal->uid() ) )
+  if( journal && !mUidMap.contains( journal->uid() ) )
     if ( addNote( journal, subresource, sernum ) )
       return journal;
     else
@@ -212,7 +212,7 @@ bool ResourceScalix::addNote( KCal::Journal* journal,
 bool ResourceScalix::deleteNote( KCal::Journal* journal )
 {
   const TQString uid = journal->uid();
-  if ( !mUidMap.tqcontains( uid ) )
+  if ( !mUidMap.contains( uid ) )
     // Odd
     return false;
 
@@ -253,7 +253,7 @@ void ResourceScalix::incidenceUpdated( KCal::IncidenceBase* i )
 {
   TQString subResource;
   TQ_UINT32 sernum;
-  if ( mUidMap.tqcontains( i->uid() ) ) {
+  if ( mUidMap.contains( i->uid() ) ) {
     subResource = mUidMap[ i->uid() ].resource();
     sernum = mUidMap[ i->uid() ].serialNumber();
   } else { // can this happen?
@@ -327,7 +327,7 @@ void ResourceScalix::fromKMailAddSubresource( const TQString& type,
     // Not ours
     return;
 
-  if ( mSubResources.tqcontains( subResource ) )
+  if ( mSubResources.contains( subResource ) )
     // Already registered
     return;
 
@@ -347,7 +347,7 @@ void ResourceScalix::fromKMailDelSubresource( const TQString& type,
     // Not ours
     return;
 
-  if ( !mSubResources.tqcontains( subResource ) )
+  if ( !mSubResources.contains( subResource ) )
     // Not registered
     return;
 
@@ -411,7 +411,7 @@ TQStringList ResourceScalix::subresources() const
 
 bool ResourceScalix::subresourceActive( const TQString& res ) const
 {
-  if ( mSubResources.tqcontains( res ) ) {
+  if ( mSubResources.contains( res ) ) {
     return mSubResources[ res ].active();
   }
 
diff --git a/kresources/scalix/scalixadmin/otherusermanager.cpp b/kresources/scalix/scalixadmin/otherusermanager.cpp
index cacb94742..a3c19de12 100644
--- a/kresources/scalix/scalixadmin/otherusermanager.cpp
+++ b/kresources/scalix/scalixadmin/otherusermanager.cpp
@@ -30,7 +30,7 @@ OtherUserManager::~OtherUserManager()
 
 void OtherUserManager::addOtherUser( const TQString &email )
 {
-  if ( !mOtherUsers.tqcontains( email ) ) {
+  if ( !mOtherUsers.contains( email ) ) {
     mOtherUsers.append( email );
     emit changed();
   }
diff --git a/kresources/slox/kabcresourceslox.cpp b/kresources/slox/kabcresourceslox.cpp
index 82d5c60a5..ba3d41156 100644
--- a/kresources/slox/kabcresourceslox.cpp
+++ b/kresources/slox/kabcresourceslox.cpp
@@ -194,7 +194,7 @@ bool ResourceSlox::asyncLoad()
   }
 
   TQDomDocument doc;
-  TQDomElement root = WebdavHandler::addDavElement( doc, doc, "proptqfind" );
+  TQDomElement root = WebdavHandler::addDavElement( doc, doc, "propfind" );
   TQDomElement prop = WebdavHandler::addDavElement( doc, root, "prop" );
   WebdavHandler::addSloxElement( this, doc, prop, fieldName( LastSync ), lastsync );
   WebdavHandler::addSloxElement( this, doc, prop, fieldName( FolderId ), mPrefs->folderId() );
@@ -246,7 +246,7 @@ void ResourceSlox::slotResult( KIO::Job *job )
       TQString uid = "kresources_slox_kabc_" + item.sloxId;
       if ( item.status == SloxItem::Delete ) {
         TQMap<TQString,Addressee>::Iterator it;
-        it = mAddrMap.tqfind( uid );
+        it = mAddrMap.find( uid );
         if ( it != mAddrMap.end() ) {
           mAddrMap.remove( it );
           changed = true;
@@ -269,7 +269,7 @@ void ResourceSlox::slotResult( KIO::Job *job )
         a.setResource( this );
         a.setChanged( false );
 
-        mAddrMap.tqreplace( a.uid(), a );
+        mAddrMap.replace( a.uid(), a );
 
         // TODO: Do we need to try to associate addressees with slox accounts?
 
@@ -306,13 +306,13 @@ void ResourceSlox::slotUploadResult( KIO::Job *job )
     TQValueList<SloxItem>::ConstIterator it;
     for( it = items.begin(); it != items.end(); ++it ) {
       SloxItem item = *it;
-      if ( !item.response.tqcontains( "200" ) ) {
+      if ( !item.response.contains( "200" ) ) {
         savingError( this, item.response + "\n" + item.responseDescription );
         continue;
       }
       if ( item.status == SloxItem::New ) {
         TQMap<TQString,Addressee>::Iterator search_res;
-        search_res = mAddrMap.tqfind( item.clientId );
+        search_res = mAddrMap.find( item.clientId );
         if ( search_res != mAddrMap.end() ) {
           // use the id provided by the server
           Addressee a = *search_res;
@@ -320,7 +320,7 @@ void ResourceSlox::slotUploadResult( KIO::Job *job )
           a.setUid( "kresources_slox_kabc_" + item.sloxId );
           a.setResource( this );
           a.setChanged( false );
-          mAddrMap.tqreplace( a.uid(), a );
+          mAddrMap.replace( a.uid(), a );
           saveCache();
         }
       }
@@ -603,7 +603,7 @@ void ResourceSlox::createAddresseeFields( TQDomDocument &doc, TQDomElement &prop
   else
     pnSaveMap = mPhoneNumberSloxMap;
   for ( PhoneNumber::List::ConstIterator it = pnlist.begin() ; it != pnlist.end(); ++it ) {
-    if ( pnSaveMap.tqcontains( (*it).type() ) ) {
+    if ( pnSaveMap.contains( (*it).type() ) ) {
       TQStringList l = pnSaveMap[(*it).type()];
       TQString fn = l.first();
       l.remove( l.begin() );
diff --git a/kresources/slox/kcalresourceslox.cpp b/kresources/slox/kcalresourceslox.cpp
index 132f19ca1..cb477038c 100644
--- a/kresources/slox/kcalresourceslox.cpp
+++ b/kresources/slox/kcalresourceslox.cpp
@@ -213,7 +213,7 @@ void KCalResourceSlox::requestEvents()
   }
 
   TQDomDocument doc;
-  TQDomElement root = WebdavHandler::addDavElement( doc, doc, "proptqfind" );
+  TQDomElement root = WebdavHandler::addDavElement( doc, doc, "propfind" );
   TQDomElement prop = WebdavHandler::addDavElement( doc, root, "prop" );
   WebdavHandler::addSloxElement( this, doc, prop, fieldName( LastSync ), lastsync );
   WebdavHandler::addSloxElement( this, doc, prop, fieldName( FolderId ), mPrefs->calendarFolderId() );
@@ -258,7 +258,7 @@ void KCalResourceSlox::requestTodos()
   }
 
   TQDomDocument doc;
-  TQDomElement root = WebdavHandler::addDavElement( doc, doc, "proptqfind" );
+  TQDomElement root = WebdavHandler::addDavElement( doc, doc, "propfind" );
   TQDomElement prop = WebdavHandler::addDavElement( doc, root, "prop" );
   WebdavHandler::addSloxElement( this, doc, prop, fieldName( LastSync ), lastsync );
   WebdavHandler::addSloxElement( this, doc, prop, fieldName( FolderId ), mPrefs->taskFolderId() );
@@ -1113,7 +1113,7 @@ void KCalResourceSlox::slotUploadResult( KIO::Job *job )
         if ( !status.isNull() ) {
           TQDomElement statusElement = status.toElement();
           TQString response = statusElement.text();
-        if ( !response.tqcontains( "200" ) ) {
+        if ( !response.contains( "200" ) ) {
             TQString error = "'" + mUploadedIncidence->summary() + "'\n";
             error += response;
             TQDomNode dn = propstat.namedItem( "responsedescription" );
